Subject: Re: WinAPI compiling
From: [email-masked] ("Mikey")

8 Apr 1997 19:04:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Dave Smith" <[email-masked]>
Original-Cc: "cygnus" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

I think you're trying to do everything at once, using gcc as the linker,
the actual option you need is -Wl,--subsystem,windows on the gcc command
line, or if you are linking as a separate step just --subsystem windows on
the ld command line.

> I've read the faq, and tried browsing around to try and solve my
> problem, but as of yet, havn't got an answer, and so I hope someone here
> can help.
> 
> I'm trying to compile a Windows GUI based program, but GCC doesn't
> like compiling it.
> I've tried adding '-ssubsystem windows' to the command line (as is in
> the FAQ), but GCC complains that :
> GCC.EXE: windows: No such file or directory
> GCC.EXE: unrecognized option '-ssubsystem'
> 
> And I then tried '--subsystem windows' and got
> 
> GCC.EXE: windows: No such file or directory
> GCC.EXE: Invalid option '-fsubsystem'.
> 
> I tried taking these options out all together, but then it doesn't know
> what lib's to use, and so i'm totally stuck... Can anyone please help me
> out on what the gcc command line should read to happily compile and link
> a native gui app?
> 
>   Cheers
>     Dave
> 
> P.S.  Is there a doc file anywhere explaining what all the different
> libs are for?

try http://www.microsoft.com/msdn
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".